﻿/* CSS Document */
/* Health Level (http://www.healthlevel.com) */
/* Copyright 2012 Health Level Inc. All rights reserved. */

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Admin Tasks Styles */

.textcommand{
     align-content:center; 
     padding: 12px 20px;
     box-sizing: border-box;
     border: 2px solid #ccc;
     border-radius: 4px;
     background-color: #f8f8f0;
     font-size: 12px;
     width:95%;
     margin-left:23px;
   }
@media only screen and (max-width: 500px) 
 {
.main-container-wrapper{
    width:40%;
    margin-left: 10px;
    align-content:center;
 }
#textbox{
    width:100%;
    margin:auto;               
}
#link_backto_admin_tasks{
    font-size: 0.5em;
}            
.textcommand 
{
    width:95%;
    margin-left:9px;
    align-content:center; 
    padding: 12px 20px;
    box-sizing: border-box;
    border: 2px solid #ccc;
    border-radius: 4px;
    background-color: #f8f8f0;
    font-size: 12px;
    resize: none;
}
}

.runbutton{
          
        padding: 50px;
        width:50%;
        margin:20px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
        margin: 4px 2px;
        -webkit-transition-duration: 0.4s;
        transition-duration: 0.4s;
        cursor: pointer;
        background-color: white; 
        color: black; 
        border: 1px solid #5383CA;
        }

.runbutton:hover {
        background-color: #5383CA;
        color: white;
        }

#Query_table{
        text-align:center;
          }


.field-account-settings-general {
    width: 220px;
}

.field-account-settings-password {
    width: 220px;
}

.settings-attribute-row-data {
    /* do not delete this */
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Admin Table Styles */

.admin-table {
    width: 100%;
}

.admin-table-wrapper {
    overflow-x: scroll;
    overflow-y: hidden;
}


.admin-row-header {
    background: #5C9CC1 !important;
    height: 25px;
}

    .admin-row-header th {
        color: #FFFFFF;
        padding: 8px;
        vertical-align: top;
        border: solid 1px #D5D5D5;
    }

    .admin-row-header .sortable {
        cursor: pointer;
    }

        .admin-row-header .sortable:hover {
            background: none repeat scroll 0 0 #5383CA !important;
            color: #FFFFFF !important;
        }

        .admin-row-header .sortable .sort-arrow {
            float: right;
        }

    .admin-row-header td {
        color: #FFFFFF;
    }

.admin-table td {
    padding: 8px;
    vertical-align: top;
    border: solid 1px #D5D5D5;
}

.admin-row-data {
    border-bottom: dotted 1px #D5D5D5;
}

.admin-alt-row-data {
    background-color: #FAFAFA;
    border-bottom: dotted 1px #D5D5D5;
}

.admin-menu-divider {
    color: #ACACAC;
    padding: 0 5px 0 5px;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Admin Table Field Styles */

.field-user-approve {
    width: 240px;
}

.field-user-reject {
    width: 240px;
}

.field-user-change-password {
    width: 210px;
}

.field-user-edit {
    width: 210px;
}

.field-user-delete {
    width: 240px;
}

.users-edit-dialog {
    height: 500px;
    overflow: auto;
}
.help-edit-dialog {
    height: 200px;
    overflow: auto;
}

.users-edit-attribute-row-data {
    /* do not delete this */
}

.users-edit-attribute-select {
    width: 265px;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Admin Listener Styles */

.listener-table td {
}

    .listener-table td.name {
        width: 250px;
    }

.listener-upload .upload-file {
    width: 200px;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Admin Uploaded Files Styles */

.uploaded-files-data {
    overflow-x: auto;
    height: 360px;
    margin: 5px 3px 5px 3px;
}

.uploaded-files-table td {
}

    .uploaded-files-table td.uploaded-on {
        width: 165px;
    }

    .uploaded-files-table td.processed-on {
        width: 165px;
    }

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Admin Business Parameter Styles */
.datatype-message {
    margin-top: 5px;
    font-size: 12px;
    line-height: 13px;
    color: #AAA;
}
.warning-business-parameter {
    display: block;
    color: #BB0000 !important;
    font-size: 85%;
    white-space: normal;
    padding-left:20px;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Admin Tools/Procedures Styles */
.param-even {
    background-color: #FAFAFA;
    padding: 10px 0 10px 0;
    border-top: 1px solid #E0E0E0;
    border-bottom: 1px solid #E0E0E0;
}

.param-odd {
    background-color: #FEFEFE;
    padding: 10px 0 10px 0;
    border-top: 1px solid #E0E0E0;
    border-bottom: 1px solid #E0E0E0;
}

.param-val-msg {
    padding-top: 10px;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Admin Search Styles */
.admin-search {
    padding: 0 0 20px 0;
}

.pagination-align-middle {
    vertical-align:middle;
}
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Run Command SQL table result */
.result_table_div {
    width: inherit;
    height: 200px;
    overflow-x: auto;
    overflow-y: auto;
    text-align: center
}
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Auto Test Tool */
.embedvudiv {
   margin:10px
}
/* end */
